#include <allegro.h>
#include <winalleg.h>
#include "erkMap.h"

erkCommand::erkCommand() :
	m_bSide(false),
	m_pTile(NULL)
{
}

erkCommand::~erkCommand()
{
}

void erkCommand::Draw(BITMAP* pDest, gbInt dwX, gbInt dwY)
{
}

void erkCommand::Update()
{
}

void erkCommand::Collision(gbBool bSide)
{
}

void erkCommand::SetSide(gbBool bSide)
{
	m_bSide = bSide;
}

void erkCommand::SetTile(erkTile_p pTile)
{
	m_pTile = pTile;
}

gbBool erkCommand::GetSide()
{
	return m_bSide;
}

erkTile_p erkCommand::GetTile()
{
	return m_pTile;
}
